#!/bin/sh

## This script will help unshallow the git information for `autotag` purposes.
## `autotag` requires extra information to determine current version number.

## Warning: This only work on GitLab.

## Exit immediately when error happens.
set -e;

git checkout $CI_COMMIT_BRANCH;
git reset --hard $CI_COMMIT_SHA;
echo "Current git branch is on $(git rev-parse --abbrev-ref HEAD)";
echo "Current git commit is on $(git rev-parse HEAD)";

git fetch --tags --prune;

if [ $(git rev-parse --abbrev-ref HEAD) != "$CI_DEFAULT_BRANCH" ]; then
  ## ensure a local 'master' branch exists at 'refs/heads/master'
  ## For now, it sets to CI_DEFAULT_BRANCH to support either master or main.
  git branch --track $CI_DEFAULT_BRANCH "origin/$CI_DEFAULT_BRANCH"
fi

echo "Unshallowing git info for GitLab done.";
